summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtests/mv/mv-special-117
1 files changed, 13 insertions, 4 deletions
diff --git a/tests/mv/mv-special-1 b/tests/mv/mv-special-1
index 412e1e6f6..f004b05ed 100755
--- a/tests/mv/mv-special-1
+++ b/tests/mv/mv-special-1
@@ -1,11 +1,22 @@
#! /bin/sh
+if test "$VERBOSE" = yes; then
+ set -x
+ FIXME --version
+fi
+
+pwd=`pwd`
+tmp=mv-spec.$$
+trap 'status=$?; cd $pwd; exec 1>&2; rm -rf $tmp $other_partition_tmpdir && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
. $srcdir/setup
+. $srcdir/../envvar-check
# Make sure we get English translations.
. $srcdir/../lang-default
if test -z "$other_partition_tmpdir"; then
- exit 77
+ (exit 77); exit
fi
null=.mv-null
@@ -75,6 +86,4 @@ cmp out2 exp || fail=1
# cd $other_partition_tmpdir
# ls -l -A -R $other_partition_tmpdir
-rm -rf $null $dir $other_partition_tmpdir out out2 exp
-
-exit $fail
+(exit $fail); exit